server:
  #开启优雅停机
  shutdown: graceful
  port: 8083
  servlet:
    context-path: /auth
  tomcat:
    uri-encoding: UTF-8
    threads:
      max: 800
      min-spare: 100
spring:
  servlet:
    multipart:
      # 修改上传文件临时路径为 /data1/tmp
      location: /data1/tmp
      max-file-size: 100MB
      max-request-size: 100MB
  application:
    name: @artifactId@
  main:
    allow-circular-references: true
    allow-bean-definition-overriding: true
  cloud:
    loadbalancer:
      retry:
        enabled: true
# feign 配置
feign:
  sentinel:
    enabled: true
  okhttp:
    enabled: true
  httpclient:
    enabled: false
  client:
    config:
      default:
        connectTimeout: 10000
        readTimeout: 10000
  compression:
    request:
      enabled: true
    response:
      enabled: true
# 暴露监控端点
management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: ALWAYS
# 安全配置
logging:
  config: classpath:logback-nacos.xml


